using Exferia_Aplicacion.General;
using Exferia_EntityFramework;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Exferia_GestionTasas._0_Modelos
{
    public class INTERNO_GTT_LiquidacionesTributarias_Listado_Modelo : GTT_LiquidacionesTributarias
    {
        public INTERNO_GTT_LiquidacionesTributarias_Listado_Modelo()
        {  }

        public long codigo_Long
        {
            get
            {
                long lng_Codigo = 0;
                if (Funciones.IsNumeric(codigo))
                {
                    lng_Codigo = long.Parse(codigo);
                }
                return lng_Codigo;
            }

        }

        //Ejercicio
        public GEN_EjerciciosActivos_Empresa Ejercicio_Actual { get; set; }
        public string Ejercicio
        {
            get
            {
                string str_Aux = "";

                //Codigo
                if (Ejercicio_Actual != null)
                {
                    str_Aux = Ejercicio_Actual.anioControl;
                }

                return str_Aux;
            }
        }
    }
}
